package com.gci.boot.annotation.Query;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 用于构建排序
 * @author 24642
 */
@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
public @interface OrderQuery {
    /**
     * 排序顺序
     */
    int sort() default 0;
    /**
     * 排序规则
     */
    boolean IsAsc() default false;
    /**
     * 属性名
     */
    String PropName() default "";
}
